Subject: Re: linux-next: manual merge of the kvm tree with Linus' and the tip trees

From: Ingo Molnar <[email-masked]>
Date: Tue, 16 Jan 2018 01:55:08 +0100

* Paolo Bonzini <[email-masked]> wrote:

> On 15/01/2018 19:36, Thomas Gleixner wrote:
> >> Can KVM folks please stop doing random changes to the cpufeatures code
> >> without talking to x86 maintainers and Borislav?
> >>
> >> This wants to go through TIP or at least reviewed and acked.
> > In fact it needs to go through TIP. We spent a lot of effort to make the
> > backporting of all this mess simple and this is just shooting a hole in it.
> 
> I do understand why you want this to go through TIP, but I'm not sure
> why a change to Processor Tracing is related to PTI or retpolines.  I'm
> also not sure why it is a problem for backportability, since we always
> try to send pull requests after TIP.  Is it because 7*32+15 will be free
> in 4.16 but not earlier?

It is because certain central x86 changes (such as changes to processor flags)
are kept on a v4.14 base to keep the PTI backporting efforts manageable.

Please revert (or rebase) this change from the KVM tree, and submit it separately, 
as it should have been done to begin with. Please also follow this process in the 
future: all x86 changes outside arch/x86/kvm/ need an explicit ack from an x86 
maintainer.

Thanks,

	Ingo